Subject: bug#8171:

From: Pádraig Brady <[email-masked]>
Date: Fri, 04 Mar 2011 15:45:04 +0000

On 04/03/11 15:27, Станислав wrote:
> Thanks a lot for clarifying!
> 
> I also think it would be nice to notice this behaviour clearer in
> documentation. man dd says almost nothing about. info dd says about 'short
> reads' but it seems not so easy to understand what it means. 'dd' is
> populary utility in scripts so many people can bumb into this behaviour. As
> for me it took two months to catch 'slow' problem with our tape drive.

I'll think about improving the man page, maybe by doing:

-  bs=BYTES        read and write BYTES bytes at a time (also see ibs=,obs=)
+  bs=BYTES        read and write up to BYTES bytes at a time

-  ibs=BYTES       read BYTES bytes at a time (default: 512)
-  ibs=BYTES       read up to BYTES bytes at a time (default: 512)

> PS: Is it good work around that I mentioned before (I mean 'ibs=256K
> obs=256K') or it can be changed in future?

That behavior will not change and is a valid workaround,
that works on all flavors of dd

cheers,
Pádraig.